<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$sessao = new sessao();
$anoCorrente=$sessao->getVar('anocorrente');
$finalidade=$sessao->getVar('finalidade');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo anoCorrente= $anoCorrente<br>");

///////////////////
$objetocalculo=new calculos();
$amostraLong=$sessao->getVar('amostraLong');
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}

////////////





switch ($tela):
    //Vai listar OPERADOR	
	    case 'listar':
        echo '<h2>Lista de documentos</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Sigla</th><th>Ações</th><th>Extenso</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                //monta os elementos que vao aparecer na tabela
			    $matriz[1][1]="Boletim";     $matriz[1][2]="Boletim";     $matriz[1][3]="Boletim de análise de sementes - BAS/BASO";
				$matriz[2][1]="Termo";       $matriz[2][2]="Termo";       $matriz[2][3]="Termo de conformidade";
				$matriz[3][1]="Certificado"; $matriz[3][2]="Certificado"; $matriz[3][3]="Certificado de análise de sementes";
				$matriz[4][1]="Informe";     $matriz[4][2]="Informe";     $matriz[4][3]="Informativo de resultado";
				$matriz[5][1]="Eacel";       $matriz[5][2]="Eacel";       $matriz[5][3]="Laudo de envelhecimento acelerado";
				$matriz[6][1]="Tetrazolio";  $matriz[6][2]="TZO";         $matriz[6][3]="Laudo de tetrazolio";
                for($i=1;$i<=6;$i++):				
  				    $ternario=$matriz[$i][2];
                    echo '<tr>';
                    printf('<td>%s</td>',$matriz[$i][1]);
                    printf('<td class="center">
					<a href="?m=criardocumentos2014&t=trabalhar&s1=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> 
					</td>',$matriz[$i][2]);
                    printf('<td>%s</td>',$ternario);
                    echo '</tr>';
                endfor;  
                ?>
            </tbody>
        </table>
        
        <?php        
    break;


	
	
   case 'trabalhar':
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable'); 
		$sessao = new sessao();
		$anoCorrente=$sessao->getVar('anocorrente');
		if(isset($_GET['s1'])):
			$tipoDoc=$_GET['s1'];
			//echo("selecionou $tipoDoc<br>");
		    $sessao->setVar('controle1',$tipoDoc);
		endif;
		$tipoDoc=$sessao->getVar('controle1');
		
        echo("<h2> Vincular amostras a $tipoDoc .</h2>");



		
		//vai capturar a id da amostra selecionada
		if(isset($_GET['fic_id'])):
			$ficID=$_GET['fic_id'];
			//echo("clicou e achou fic id $ficID<br>");
		    $sessao->setVar('amostraLong',$ficID);
		endif;
        
		//vai captura a id do documento selcionado
		if(isset($_GET['doc_id'])):
			$docID=$_GET['doc_id'];
			//echo("clicou e achou doc id $docID<br>");
		    $sessao->setVar('iddoc',$docID);
		endif;

		if (isset($_POST['colecao'])):
		    $opcao="colecao"; 

			$captura=$_POST['amostraPrimeira'];
			$md55=md5('udi14quali');
			echo("clicou e achou md55= $md55<br>");
		    $sessao->setVar('iddoc',$docID);
		endif;
		
		 //vai criar um documento novo
		 if (isset($_POST['criardoc'])):
		    $opcao="criardoc"; 

		    //$tipoDoc=$sessao->getVar('controle1');
			$pedindo='listaramo';
         	echo("LISTA GERAL:  Serao mostradas amostras sem documento. <br>");
			//deve pegar antes o ultimo documento daquele tipo daquele ano
			$tipoDoc=$sessao->getVar('controle1');
			$amostraLong=$sessao->getVar('amostraLong');
         	//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica->tabela="documentos";
			$generica->campos_valores = array(
					"doc_numero" => NULL,
				);
			$generica->extras_select ="  where doc_labo='".$idLabo."' && doc_ano='".$anoCorrente."' && doc_tipo='".$tipoDoc."' order by doc_numero desc LIMIT 1";
			$generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$ultimo=$resgenerica->doc_numero;
			endwhile;
			//echo("ultimo doc pescado= $ultimo  </h2>");
			$numeroDoc=$ultimo+1;//cria  o numero de nota sendo a ultima encontrada deste cliente, mais um
			 $datagravar=date("Y-m-d");
			 //echo("datagravar= $datagravar<br>");
			 $sql="insert into documentos(doc_numero,doc_tipo,doc_ano,doc_labo,doc_data)";
			 $sql.="values('$numeroDoc','$tipoDoc','$anoCorrente','$idLabo','$datagravar')";
			 //echo("sql de gravacao=$sql<br>");
			 $userDoc = new generica();
			 $userDoc->campos_valores = $sql;				 
			 $userDoc->inserirEspecial($userDoc);
			 $docID=$userDoc->linhasafetadas;
		     $sessao->setVar('iddoc',$docID);			 

			 //echo("idAmostra=$amostraLong  docID=$docID<br>");
			 $sessao->setVar('iddoc', $docID);
             //agora cria o registro na tabela  documentosponte
			 $sql="insert into documentosponte(dpo_documento_autonumerador,dpo_amostra_vinculada)";
			 $sql.="values('$docID','$amostraLong')";
			 //echo("sql de gravacao=$sql<br>");
			 $userDoc = new generica();
			 $userDoc->campos_valores = $sql;				 
			 $userDoc->inserirEspecial($userDoc);

		 endif;
		
		 if (isset($_POST['inseriramo'])):
		    $opcao="inseriramo"; 
			$pedindo='listaramo';
         	echo("LISTA GERAL:  Serao mostradas amostras sem documento. <br>");
			//deve pegar antes o ultimo documento daquele tipo daquele ano
			$tipoDoc=$sessao->getVar('controle1');
			$amostraLong=$sessao->getVar('amostraLong');
			$docID=$sessao->getVar('iddoc');
         	//echo("clicou inserir amo    idAmostra=$amostraLong  docID=$docID<br>");
             //agora cria o registro na tabela  documentosponte
			 $sql="insert into documentosponte(dpo_documento_autonumerador,dpo_amostra_vinculada)";
			 $sql.="values('$docID','$amostraLong')";
			 //echo("sql de gravacao=$sql<br>");
			 $userDoc = new generica();
			 $userDoc->campos_valores = $sql;				 
			 $userDoc->inserirEspecial($userDoc);

		 endif;

		 if (isset($_POST['retiraramo'])):
		    $opcao="retiraramo"; 
			$pedindo='listaramo';
         	echo("LISTA GERAL:  Serao mostradas amostras sem documento. <br>");
			//deve pegar antes o ultimo documento daquele tipo daquele ano
			$tipoDoc=$sessao->getVar('controle1');
			$amostraLong=$sessao->getVar('amostraLong');
			$docID=$sessao->getVar('iddoc');
         	//echo("clicou inserir amo    idAmostra=$amostraLong  docID=$docID<br>");
             //agora cria o registro na tabela  documentosponte
			 $sql="delete from documentosponte where dpo_documento_autonumerador=".$docID. " and dpo_amostra_vinculada=".$amostraLong;
			 echo("sql de gravacao=$sql<br>");
			 
			 $userDoc = new generica();
			 $userDoc->campos_valores = $sql;				 
			 $userDoc->inserirEspecial($userDoc);
		 endif;

		 if (isset($_POST['editardoc'])):
		    $pedindo=='editardoc'; 
			echo("esta em editar doc");
			$datadoc=$_POST['datadoc'];
            echo("dddddddddddddddddddddddatadoc = $datadoc <br>");			
						
			$pedindo='editardoc';
         	echo("legenda provisoria editar doccccccccc. <br>");
			//deve pegar antes o ultimo documento daquele tipo daquele ano
			$tipoDoc=$sessao->getVar('controle1');
			$docID=$sessao->getVar('iddoc');
         	//echo("clicou inserir amo    idAmostra=$amostraLong  docID=$docID<br>");
             //agora cria o registro na tabela  documentosponte
			 //$sql="delete from documentosponte where dpo_documento_autonumerador=".$docID. " and dpo_amostra_vinculada=".$amostraLong;
			 //echo("sql de gravacao=$sql<br>");
			 
			 //$userDoc = new generica();
			 //$userDoc->campos_valores = $sql;				 
			 //$userDoc->inserirEspecial($userDoc);
             $opcao="editardoc";             
             unset($_POST);
			 
		 endif;

		 if (isset($_POST['editardoc'])):
			echo("clicou mostrar amostras  $tipoDoc<br>");
			$pedindo='listaramo';
			$tipoDoc=$sessao->getVar('controle1');
            if($tipoDoc=='Boletim' || $tipoDoc=='Termo'):
			   $enquadramento='DEFINITIVA';
			else:
			   $enquadramento='PREVIA';
			endif;
         	echo("LISTA GERAL:  Serao mostradas amostras $enquadramento sem documento.  <br>");
		 endif;


		
	
		 if (isset($_POST['listaramo'])):
		    $opcao="listaramo"; 
			echo("clicou mostrar amostras  $tipoDoc<br>");
			$pedindo='listaramo';
			$tipoDoc=$sessao->getVar('controle1');
            if($tipoDoc=='Boletim' || $tipoDoc=='Termo'):
			   $enquadramento='DEFINITIVA';
			else:
			   $enquadramento='PREVIA';
			endif;
         	echo("LISTA GERAL:  Serao mostradas amostras $enquadramento sem documento.  <br>");
		 endif;
		 
         if(isset($_POST['listardoc'])):
			//$sessao->setVar('controle1',$tipoDoc);
			echo("clicou mostrar documentos $tipoDoc<br>");
			$atual=$_POST['atual'];
			$pedindo='listardoc';
         	echo("LISTA GERAL:  Serao mostradas os ultimos documentos do tipo selecionado. <br>");
		   // echo("atualxxxx=$atual<br>");
		 endif;
		
		 //vai capturar o numero da amostra so para aparecer no local certo
		 $amostraLong=$sessao->getVar('amostraLong');
         if($amostraLong>0):  
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica->tabela="ficha";
			$generica->campos_valores = array(
				   "fic_amostra" => NULL,
				   "fic_amostra_previa" => NULL,
				);
			$generica->extras_select =" where fic_id=" . $amostraLong;
			$generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
			  if($finalidade=='DEFINITIVA')$amostra=$resgenerica->fic_amostra;
			  if($finalidade=='PREVIA')$amostra=$resgenerica->fic_amostra_previa;
			endwhile;
         endif;		
		 //vai capturar o numero da documento so para aparecer no local certo
		 $docID=$sessao->getVar('iddoc');
		 //ENTRA DE QUAKQUER MANEIRA
		 if($docID>0):
			$generica=new tabelagenerica();
			$generica->tabela="documentos";
			$generica->campos_valores = array(
				   "doc_numero" => NULL,
				);
			$generica->extras_select =" where doc_id=" . $docID;
			$generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
			  $documento=$resgenerica->doc_numero;
			endwhile;		
         endif;
		 
		 $tipoDoc=$sessao->getVar('controle1');

		 //vai capturar o numero das amostras do documentos
		 $docID=$sessao->getVar('iddoc');
		 //ENTRA DE QUAKQUER MANEIRA
		 if($docID>0):
			$generica=new tabelagenerica();
			$generica->tabela="documentos,documentosponte,ficha,remetente,cultivar";
			$generica->campos_valores = array(
				   "fic_amostra" => NULL,
				   "prd_nome" => NULL,
				   "ctv_nome" => NULL,
				);
			$generica->extras_select =" where fic_cultivar=ctv_id && fic_produtor=prd_id and dpo_amostra_vinculada=fic_id and doc_tipo='".$tipoDoc."' and dpo_documento_autonumerador=".$docID." order by fic_amostra";
			$generica->selecionaCampos($generica);
			//while ($resgenerica = $generica->retornaDados()):
			 // $texto=$texto.'['.$resgenerica->fic_amostra.'],';
			//endwhile;		
         endif;

		 echo("$tipoDoc Número $documento , Com as amostras: $texto <br>");
         ?>
         <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "200px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
			<!--AQUI VAOI MOSTRAR LISTAGENS DIFERENTES DE ACORRDO COM O BOTAO QUE FOI CLICADO-->
			<?php
			if($pedindo=='listaramo'):
			


			?>
            <thead>
			<tr>
               <th>Numero</th><th>Ações</th><th>Lote</th><th>Remetente</th><th>Cultivar</th>
            </tr>
            </thead>
            <tbody>
                <?php 
				//ENTRA DE QUAKQUER MANEIRA
				$generica=new tabelagenerica();
				$generica->tabela="ficha,cultivar,remetente";
				$generica->campos_valores = array( 
					   " distinct fic_id" => NULL,
					   "fic_amostra" => NULL,
					   "fic_amostra_previa" => NULL,
					   "ctv_nome" => NULL,
					   "prd_nome" => NULL,
					   "fic_lote" => NULL,
					);
				if($finalidade=='DEFINITIVA'): 	
				  $generica->extras_select =" where fic_amostra>0 and prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
                else:
				  $generica->extras_select =" where fic_amostra_previa>0 && prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
				endif;					
					
					
				$generica->selecionaCampos($generica);
                while ($res = $generica->retornaDados()):
                    echo '<tr>';
                    if($finalidade=='DEFINITIVA')  printf('<td>%s</td>',$res->fic_amostra);
					if($finalidade=='PREVIA')   printf('<td>%s</td>',$res->fic_amostra_previa);
					
					printf('<td class="center">
					<a href="?m=criardocumentos2014&t=trabalhar&fic_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a></td>',$res->fic_id);
					printf('<td>%s</td>',$res->fic_lote);
                    printf('<td>%s</td>',$res->ctv_nome);
                    printf('<td>%s</td>',$res->prd_nome);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
		<?php 
		endif;//fecha o if que pergunta se é para abrir listar amostras
		
		
		
		
		
		
		//agora vai listar os documemntos
		if($pedindo=='listardoc'):
		?>
            <thead>
			<tr>
                    <th>Tipo</th><th>Numero</th><th>Açõesdoc</th><th>Data</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				//ENTRA DE QUAKQUER MANEIRA
				$generica=new tabelagenerica();
				$generica->tabela="documentos";
				$generica->campos_valores = array(
					   "doc_id" => NULL,
					   "doc_tipo" => NULL,
					   "doc_numero" => NULL,
					   "doc_data" => NULL,
					);
				$generica->extras_select =" where doc_ano='".$anoCorrente."' && doc_tipo='" .$tipoDoc."' and doc_labo=" . $idLabo;
				
				echo("ano corrente=$anoCorrente");
				
				
				$generica->selecionaCampos($generica);
                while ($res = $generica->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->doc_tipo);
                    printf('<td>%s</td>',$res->doc_numero);
					printf('<td class="center">
					<a href="?m=criardocumentos2014&t=trabalhar&doc_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a></td>',$res->doc_id);
                    printf('<td>%s</td>',$res->doc_data);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
		<?php
		endif;//fecha o if que testa se é para lista os documentos
		?>
		
	
		<tr>
		<form class="userform" method="POST" action="">
		<input type="text" size="8" name="opcao" value="<?php echo $opcao;?>"/>

		<table bgcolor="#ff8e8e" border="1">

		<td>Amostra selecionada <input type="text" size="2" name="amostra" value="<?php echo $amostra;?>" /></td>
		<td><input type="submit" name="inseriramo" value="Inserir amostra selecionada, no " /></li></td>
		<td><?php echo $tipoDoc;?> selecionado <input type="text" size="2" name="amostra" readonly="readonly" value="<?php echo $documento;?>" /></td>
		</tr>
        <tr>
		<td><input type="submit" name="retiraramo" value="Retirar amostra selecionada, do " /></li></td>
		<td><?php echo $tipoDoc;?> selecionado <input type="text" size="2" name="amostra" readonly="readonly" value="<?php echo $documento;?>" /></td>
		</tr>
        <tr>
		<td><input type="submit" name="editardoc" value="Editar  " /></li></td>
		<td><?php echo $tipoDoc;?> selecionado <input type="text" size="2" name="editardoc" readonly="readonly" value="<?php echo $documento;?>" /></td>
		</tr>

<?php 
if($pedindo=='editardoc'):
?>
        <tr>
		     <td>Data do documento:
			   <input type="text" size="2" name="datadoc" value="<?php echo $datadoc;?>" />
			 </td>
		     <td>
			  <input type="submit" name="editardoc" value="Gravar dados no documento" />
			 </td>
		</tr>
<?php
endif;
?>
        </table>


		<table bgcolor="silver" border="1">
		
		 <select name="amostrasdoc" multiple>  
         <?php
		 while ($resgenerica = $generica->retornaDados()):
   		    echo "<option> Amostra".$resgenerica->fic_amostra.'-'.$resgenerica->prd_nome.' Cultivar:'.$resgenerica->ctv_nome."</option>";
		 endwhile;	 
         ?>
		 </select>





		<tr>
		<td><input type="submit" name="listaramo" value="Listar amostras" /></td>
		</tr>
		
		<tr>
        <td><input type="submit" name="listardoc" value="Listar <?php echo $tipoDoc;?>" /></td>
		</tr>

		<tr>
		<td><input type="submit" name="criardoc" value="Criar <?php echo $tipoDoc;?> novo com a amostra selecionada" /></td>
		</tr>


		
		<tr>
		<td><input type="submit" name="colecao" value="Criar <?php echo $tipoDoc;?> novo com as amostras " /></td>
		<td><?php echo $md55;?> de <input type="text" size="2" name="amostraPrimeira" value="" /></td>
		<td>até <input type="text" size="2" name="amostraPrimeira" value="" /></td>
        </tr>
		</table>
		                         
	
										
		</form>
		<!--
	
		
		-->
  
  
  
  
        <?php        
    break;
	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>